Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLLinkElement

public interface HTMLLinkElement
extends HTMLElement

The `LINK` element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa). See the LINK element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 1 Specification (Second Edition).

Fields inherited from class org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getCharset()` The character encoding of the resource being linked to.
`boolean` | `getDisabled()` Enables/disables the link.
`java.lang.String` | `getHref()` The URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getMedia()` Designed for use with one or more target media.
`java.lang.String` | `getRel()` Forward link type.
`java.lang.String` | `getRev()` Reverse link type.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setCharset(java.lang.String charset)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setMedia(java.lang.String media)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getDisabled

    public boolean getDisabled()

  Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

### setDisabled

    public void setDisabled(boolean disabled)

### getCharset

    public java.lang.String getCharset()

  The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.0.

### setCharset

    public void setCharset(java.lang.String charset)

### getHref

    public java.lang.String getHref()

  The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

    public void setHref(java.lang.String href)

### getHreflang

    public java.lang.String getHreflang()

  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.

### setHreflang

    public void setHreflang(java.lang.String hreflang)

### getMedia

    public java.lang.String getMedia()

  Designed for use with one or more target media. See the media attribute definition in HTML 4.0.

### setMedia

    public void setMedia(java.lang.String media)

### getRel

    public java.lang.String getRel()

  Forward link type. See the rel attribute definition in HTML 4.0.

### setRel

    public void setRel(java.lang.String rel)

### getRev

    public java.lang.String getRev()

  Reverse link type. See the rev attribute definition in HTML 4.0.

### setRev

    public void setRev(java.lang.String rev)

### getTarget

    public java.lang.String getTarget()

  Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

    public void setTarget(java.lang.String target)

### getType

    public java.lang.String getType()

  Advisory content type. See the type attribute definition in HTML 4.0.

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.